#### zeitform webmail ####

package Conf;

#### KONFIGURATION ####

######################################################################
#
#  HTML-Templates
#
######################################################################
#
#  Die folgenden Variablen zeigen auf den Pfad zu den jeweiligen
#  HTML-Templates. Eine Beschreibung der Templates finden Sie in README.
#
#  Die Templates sind:
#
#  $login_tmpl         -> Startseite mit Anmeldeformular
#  $folder_tmpl        -> bersicht der vorhandenen Mails
#  $empty_folder_tmpl  -> bersicht falls keine Mails vorhanden
#  $mail_tmpl          -> Anzeige einer abgerufenen Mail
#  $reply_tmpl         -> Formular zum Beantworten einer Mail oder
#                         zum Schreiben einer neuen Mail
#  $expired_tmpl       -> Anzeige einer Fehlermeldung, dass die aktuelle
#                         Sitzung abgelaufen ist und Mglichkeit zur
#                         Neuanmeldung
#  $error_tmpl         -> generische Fehlerseite (siehe Fehlermeldungen)
#  $reply_success_tmpl -> Erfolgsmeldung beim Versenden von Mail
#
#  Anm.: die Variable $template_dir wird im weiteren Skript nicht
#  bentigt und dient nur der komfortableren Variablen-Definition.

my $template_dir       = "/usr/local/httpd/cgi-bin/webmail";

$login_tmpl         = $template_dir . "/login.html";
$folder_tmpl        = $template_dir . "/folder.html";
$empty_folder_tmpl  = $template_dir . "/empty_folder.html";
$mail_tmpl          = $template_dir . "/mail.html";
$expired_tmpl       = $template_dir . "/expired.html";
$error_tmpl         = $template_dir . "/error.html";
$reply_tmpl         = $template_dir . "/reply.html";
$reply_success_tmpl = $template_dir . "/reply_success.html";

######################################################################
#
#  Verbotene SMTP-Server
#
######################################################################
#
#  Wenn Sie bestimmte SMTP-Server (z.B. localhost) fr den Versand
#  von Mails ausschlieen wollen (z.B. um Spammern keinen offenen
#  Server anzubieten, setzen Sie bitte die Variable $exclude_some_smtp_hosts
#  auf true und benennen Sie im Hash %smtp_exclude_list die IP-Adressen
#  der auszuschlieenden Hosts.

$exclude_some_smtp_hosts = "yes";
%smtp_exclude_list = (
		      "127.0.0.1" => "yes",
		     );


######################################################################
#
#  Verschluesselungsmethode
#
#####################################################################
#
#  mglich sind alle Werte "xxx", die als Crypt::xxx Perl Module vorliegen
#  und Crypt:CBC untersttzen. Nach meiner Kenntnis sind dies wenigstens:
#  "Blowfish" (getestet), "DES", "IDEA", "NULL", "GOST", "TEA", "Twofish"
#
#  Bleibt $encryption_method undefiniert, werden die User-Passwort im Cookie
#  nicht verschlsselt.
#

$encryption_method = "Blowfish";

######################################################################
#
#  Verzeichnisse
#
######################################################################
#
#  Dieses Skript bentigt zwei temporre lokale Verzeichnisse zum
#  Zwischenspeichern der empfangenen Mails, bzw. zum Speichern der
#  Sitzungsinformationen und der Dateianlagen, die der Benutzer
#  mit seiner Email versenden will.
#
#  $msg_dir zeigt auf den Pfad zum Verzeichnis, das die Mails enthlt.
#  Dort wird fr jede Email ein Unterverzeichnis angelegt. Dieses 
#  Verzeichnis mu unterhalb des DOCUMENT_ROOT des Webservers liegen und
#  ber die URL $attch_url erreichbar sein.
#
#  $tmp_dir zeigt auf den Pfad zum Verzeichnis fr Anlagen und
#  Sitzungsinformationen. Dieses Verzeichnis sollte nicht unterhalb
#  des DOCUMENT_ROOT liegen.
#
#  Bitte beachten Sie, das die angegebenen Verzeichnisse vorhanden
#  und (aus Sicherheitsgrnden nur) fr den Webserver les- und schreibbar 
#  sind.
#

$tmp_dir = "/tmp/sessions";

$msg_dir =    "/usr/local/httpd/htdocs/tmp";
$attach_url =                        "/tmp";
#
# Beachte Sie: ^^^^^^^^^^^^^^^^^^^^^^^---DOCUMENT_ROOT

######################################################################
#
#  Darstellungslngen
#
######################################################################
#
#  Die Variablen $max_subject und $max_from bestimmen die in der 
#  Mailbersicht angezeigten maximalen Lngen der Felder "Betreff"
#  und "Von" und bercksichtigen gestalterische Anforderungen im
#  zugehrigen HTML-Template.
#

$max_subject = 50;
$max_from    = 30;

######################################################################
#
#  Fehlertexte
#
######################################################################
#
#  Aus Grnden der Anpassung an eigene Anforderungen (z.B. Sprache)
#  werden die Fehlermeldungen nicht innerhalb des Skriptes definiert,
#  sondern im Konfigurationsbereich. Eine Fehlerbeschreibung finden
#  Sie in der Datei README. Verndern Sie die Texte rechts der "=>"
#  Operatoren nach Ihren Anforderungen. Fr Umlaute sollten Sie
#  die entsprechenden HTML-Bezeichner benutzen. Die Fehlertexte
#  werden in die Template der Fehlerseite ($error_tmpl) eingebaut.
#

%error_msg = (

    no_login          => "Login-Name nicht angegeben.",
    no_password       => "Passwort nicht angegeben.",
    no_pop3           => "POP3-Server nicht angegeben.",
    no_smtp           => "SMTP-Server nicht angegeben.",
    no_session        => "[intern] Die Session-ID fehlt.",
    no_msg            => "[intern] Welche Nachricht soll angezeigt werden?",
    login_failed      => "Login ist fehlgeschlagen.",
    no_mails          => "Keine Nachrichten vorhanden.",
    illegal_call      => "[intern] Illegaler Skript-Aufruf.",
    list_failed       => "[intern] Auslesen der Mails ist gescheitert.",
    write_error       => "[intern] Kann Session-Informationen nicht schreiben.",
    read_error        => "[intern] Kann Session-Informationen nicht lesen.",
    no_cook_password  => "[intern] Das Passwort kann nicht aus dem Cookie gelesen werden.",
    no_cook_pop3      => "[intern] Der POP3-Server kann nicht aus dem Cookie gelesen werden.",
    no_cook_smtp      => "[intern] Der SMTP-Server kann nicht aus dem Cookie gelesen werden.",
    no_cook_session   => "[intern] Die Session-ID kann nicht aus dem Cookie gelesen werden.",
    no_recipient      => "Sie haben keinen Empf&auml;nger angegeben.",
    no_sender         => "Sie haben keine Absender-Adresse angegeben.",
    smtp_login_failed => "Konnte keine Verbindung zum SMTP-Host herstellen.",
    smtp_failed       => "Ihre Nachricht konnte nicht verschickt werden.",
    smtp_unreachable  => "Der SMTP-Host hat nicht geantwortet.",
    smtp_excluded     => "Der angebene SMTP-Server kann aus Sicherheitsgrnden nicht verwendet werden.",
    no_relay          => "Ihr SMTP-Host erlaubt kein Relaying.",
    attachment_failed => "[intern] Das Attachment konnte nicht zwischengespeichert werden.",

    default           => "[intern] unbekannter Fehler",

	     );

######################################################################
#
#  lokale Zeitzone
#
######################################################################
#
# Setzen Sie die Zeitzone fr das Erstellen von Mails auf
# 1 fr Zentraleuropa. Sommerzeiten werden automatisch bercksichtigt.
#

$timezone = 1; # for Central Europe

######################################################################
#
#  zustzliche X-Header fr ausgehende Mails
#
######################################################################
#
# Setzen Sie die zustzlichen X-Header, um dem Mail-Empfnger
# weitere Informationen mitzuteilen (bitte beginnen Sie unbedingt alle
# Header mit "X-").
#

@xheader = ( "X-Mailer"              => "zeitform Webmail (c) 2001",
             "X-Webmail-Author"      => "zeitform Internet Dienste (c) 2001",
             "X-Webmail-Contact"     => 'zeitform@zeitform.de',
             "X-Webmail-URL"         => "http://webmail.zf2.de",
             "X-Webmail-Description" => "Everything must go!",
	   );

######################################################################

#### KONFIGURATION ENDE ####
1;







